//varyingϐ
varying vec3 normal;
varying vec4 vertexPos;
uniform sampler2D tex0;

//tOg
void main(void)
{
	////  ambienťvZ  ////
	vec4 ambient = gl_LightSource[0].ambient * gl_FrontMaterial.ambient;

	////  diffusevZ  ////
	vec3 N = normalize(normal);
	vec3 L = normalize(gl_LightSource[0].position.xyz);
	float NdotL = dot(N, L);
	if(NdotL > 0.6) NdotL = 1.0;
	else if(NdotL > 0.3) NdotL = 0.5;
	else NdotL = 0.2;
	vec4 diffuse = max(0.0, NdotL) * gl_LightSource[0].diffuse * gl_FrontMaterial.diffuse;

	////  specularvZ(Bilñfgp)  ////
	vec3 V = -normalize(vertexPos.xyz);
	vec3 H = normalize(V + L);
	float NdotH = dot(N, H);
	float k_specular = pow(max(0.0, NdotH), gl_FrontMaterial.shininess);
	vec4 specular = k_specular * gl_LightSource[0].specular * gl_FrontMaterial.specular;

	gl_FragColor = texture2D(tex0, gl_TexCoord[0].st)*(ambient + diffuse) + specular;
}
